--###################################################################################################
--COMMENTAIRES
--###################################################################################################

-- Faites un remplacer du texte entre ## qui correspondent à votre schema.nomtable, idem pour les TABLESPACE
-- Je vous ai laissé toutes les colonnes comme elles viennent pour nous, charge à vous d'y faire le tri.
-- évidemment j'ai enlevé les lignes pour les droits d'accès des tables.
-- Je n'ai pas mis les déclarations des séquences, elles se feront en auto avec le SERIAL NOT NULL des id.
-- Du coup j'ai laissé les déclarations des contraintes de clés primaires.

--###################################################################################################
--TABLE
--###################################################################################################

-- Table: ##votreschema.votretable##

-- DROP TABLE IF EXISTS ##votreschema.votretable##;

CREATE TABLE IF NOT EXISTS ##votreschema.votretable##
(
    id_socle_txt SERIAL NOT NULL,
    id character varying(7),
    nature character varying(255),
    famille character varying(50),
    calque character varying(9),
    calque_alt character varying(9),
    calque_mat character varying(9),
    pcrs character varying(50),
    placement character varying(15),
    charte character varying(50),
    commentaires character varying(254),
    sig character varying(25),
    type_cao character varying(20),
    attribut_altitude character varying(50),
    attribut_matricule character varying(50),
    "CategorieThematiquePCRSType" character varying(2),
    "NatureReseauPCRSType" character varying(10),
    "NatureAffleurantPCRSType" character varying(2),
    "CategorieMurPCRSType" character varying(2),
    "SectionPilierPCRSType" character varying(2),
    date_modif date,
    date_crea date,
    id_nature character varying(255),
    CONSTRAINT id_socle_txt_pkey PRIMARY KEY (id_socle_txt)
        USING INDEX TABLESPACE ##votretablespace##
)

COMMENT ON TABLE ##votreschema.votretable##
    IS 'Table textuelle des objets présents dans le socle commun régional et les objets relatifs aux besoins de Lorient Agglomération';

COMMENT ON COLUMN ##votreschema.votretable##.id_socle_txt
    IS 'Identifiant unique';

COMMENT ON COLUMN ##votreschema.votretable##.id
    IS 'id unique des objets topographiques';

COMMENT ON COLUMN ##votreschema.votretable##.nature
    IS 'désignation ou description correspondant à l''objet';

COMMENT ON COLUMN ##votreschema.votretable##.famille
    IS 'famille de classification technique de l''objet';

COMMENT ON COLUMN ##votreschema.votretable##.calque
    IS 'calque de classement de l''objet dans le dessin CAO';

COMMENT ON COLUMN ##votreschema.votretable##.calque_alt
    IS 'calque de classement des points topo dans le dessin CAO';

COMMENT ON COLUMN ##votreschema.votretable##.calque_mat
    IS 'calque de classement de points topo dans le dessin CAO';

COMMENT ON COLUMN ##votreschema.votretable##.pcrs
    IS 'nom de la classe d''objets au PCRS';

COMMENT ON COLUMN ##votreschema.votretable##.placement
    IS 'emplacement de l''objet: Sous-sol/Surface/Information';

COMMENT ON COLUMN ##votreschema.votretable##.charte
    IS 'appartenance de l''objet, socle commun ou Lorient Agglomération';

COMMENT ON COLUMN ##votreschema.votretable##.commentaires
    IS 'commentaires et informations à renseigner';

COMMENT ON COLUMN ##votreschema.votretable##.date_modif
    IS 'date de modification de l''objet';

COMMENT ON COLUMN ##votreschema.votretable##.date_crea
    IS 'date de création de l''objet';

COMMENT ON COLUMN ##votreschema.votretable##.id_nature
    IS 'Concaténation de l''id et de la nature de l''objet';

--###################################################################################################
--DONNEES
--###################################################################################################

INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (1, 'AL_0021', 'Canalisation eau potable', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AL_0021 - Canalisation eau potable');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (2, 'AL_0022', 'Canalisation eau potable sous fourreau', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AL_0022 - Canalisation eau potable sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (3, 'AL_0023', 'Fourreau en attente', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AL_0023 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (4, 'AP_0000', 'Coffret', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0000 - Coffret');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (5, 'AP_0001', 'Bouche à clé', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0001 - Bouche à clé');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (6, 'AP_0002', 'Citerneau circulaire', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0002 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (7, 'AP_0003', 'Regard carré', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0003 - Regard carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (8, 'AP_0004', 'Bouche d''arrosage', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0004 - Bouche d''arrosage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (9, 'AP_0005', 'Poteau incendie', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '05', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0005 - Poteau incendie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (10, 'AP_0006', 'Bouche incendie', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '05', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0006 - Bouche incendie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (11, 'AP_0007', 'Massif incendie', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '05', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0007 - Massif incendie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (12, 'AP_0008', 'Bouche incendie rectangulaire', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '05', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0008 - Bouche incendie rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (13, 'AP_0009', 'Chambre de vannes', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0009 - Chambre de vannes');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (14, 'AP_0010', 'Borne AEP', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0010 - Borne AEP');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (15, 'AP_0011', 'Puits', 'Eau potable', 'EAUPO_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0011 - Puits');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (16, 'AP_0012', 'Point de mesure (TN/GST)', 'Eau potable', 'EAUPO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0012 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (17, 'AP_0013', 'Altitude supplémentaire', 'Eau potable', 'EAUPO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0013 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (18, 'AP_0014', 'Texte information', 'Eau potable', 'EAUPO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0014 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (19, 'AP_0015', 'Texte libre', 'Eau potable', 'EAUPO_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0015 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (20, 'AP_0041', 'Vanne', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0041 - Vanne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (21, 'AP_0042', 'Ventouse', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0042 - Ventouse');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (22, 'AP_0043', 'Cône de réduction', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0043 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (23, 'AP_0044', 'Chambre rectangulaire', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0044 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (24, 'AP_0045', 'Citerneau circulaire', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0045 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (25, 'AP_0046', 'Extrémité de conduite', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0046 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (26, 'AP_0047', 'Changement de matériau', 'Eau potable', 'EAUPO_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_0047 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (27, 'AP_2000', 'Forage, captage', 'Eau potable', 'EAUPO_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'AEP', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2000 - Forage, captage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (28, 'AP_2001', 'Symbole château d''eau', 'Eau potable', 'EAUPO_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2001 - Symbole château d''eau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (29, 'AP_2002', 'Symbole réservoir', 'Eau potable', 'EAUPO_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2002 - Symbole réservoir');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (30, 'AP_2003', 'Symbole usine de production', 'Eau potable', 'EAUPO_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2003 - Symbole usine de production');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (31, 'AP_2004', 'Symbole station de pompage', 'Eau potable', 'EAUPO_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2004 - Symbole station de pompage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (32, 'AP_2005', 'Symbole cheminée d''équilibre', 'Eau potable', 'EAUPO_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2005 - Symbole cheminée d''équilibre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (33, 'AP_2026', 'Té', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2026 - Té');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (34, 'AP_2027', 'Coude', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2027 - Coude');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (35, 'AP_2028', 'Manchette/manchon', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2028 - Manchette/manchon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (36, 'AP_2029', 'Bride', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2029 - Bride');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (37, 'AP_2030', 'Compteur AEP', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2030 - Compteur AEP');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (38, 'AP_2031', 'Clapet anti-retour', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2031 - Clapet anti-retour');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (39, 'AP_2032', 'Régulateur de pression', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2032 - Régulateur de pression');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (40, 'AP_2033', 'Esse de réglage', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2033 - Esse de réglage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (41, 'AP_2034', 'Purge', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2034 - Purge');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (42, 'AP_2035', 'Débitmètre', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2035 - Débitmètre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (43, 'AP_2036', 'Objet annexe', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2036 - Objet annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (44, 'AP_2037', 'Prise en charge', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2037 - Prise en charge');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (45, 'AP_2038', 'Piquage', 'Eau potable', 'EAUPO_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'AP_2038 - Piquage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (46, 'BL_0061', 'Ouvrage annexe', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0061 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (47, 'BL_0062', 'Caniveau de drainage (L>1,00m)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0062 - Caniveau de drainage (L>1,00m)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (48, 'BL_0063', 'Bassin tampon', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0063 - Bassin tampon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (49, 'BL_0064', 'Fossé levé en axe (l<0.5m)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0064 - Fossé levé en axe (l<0.5m)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (50, 'BL_0065', 'Fossé levé sur un coté (l>0.5m)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0065 - Fossé levé sur un coté (l>0.5m)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (51, 'BL_0066', 'Busage fossé rectiligne', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0066 - Busage fossé rectiligne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (52, 'BL_0067', 'Départ de busage', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0067 - Départ de busage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (53, 'BL_0068', 'Gargouille', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0068 - Gargouille');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (54, 'BL_0101', 'Conduitre d''eau pluviale', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0101 - Conduitre d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (55, 'BL_0102', 'Conduite galerie', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0102 - Conduite galerie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (56, 'BL_0103', 'Conduite indéterminée d''eau pluviale', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0103 - Conduite indéterminée d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (57, 'BL_0104', 'Drain', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0104 - Drain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (58, 'BL_0105', 'Fourreau en attente', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0105 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (59, 'BL_0106', 'Chambre de forme complexe', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0106 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (60, 'BL_0107', 'Ouvrage annexe souterrain', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BL_0107 - Ouvrage annexe souterrain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (61, 'BP_0081', 'Tampon d''eau pluviale circulaire', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0081 - Tampon d''eau pluviale circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (62, 'BP_0082', 'Citerneau d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0082 - Citerneau d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (63, 'BP_0083', 'Grille circulaire d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0083 - Grille circulaire d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (64, 'BP_0084', 'Tampon d''eau pluviale carré', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0084 - Tampon d''eau pluviale carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (65, 'BP_0085', 'Tampon d''eau pluviale (diagonale)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0085 - Tampon d''eau pluviale (diagonale)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (66, 'BP_0086', 'Trappe carrée d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0086 - Trappe carrée d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (67, 'BP_0087', 'Trappe rectangulaire d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0087 - Trappe rectangulaire d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (68, 'BP_0088', 'Grille carrée d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0088 - Grille carrée d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (69, 'BP_0089', 'Grille rectangle d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0089 - Grille rectangle d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (70, 'BP_0090', 'Avaloir (siphoïde)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0090 - Avaloir (siphoïde)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (71, 'BP_0091', 'Avaloir (gueule de loup)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0091 - Avaloir (gueule de loup)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (72, 'BP_0092', 'Avaloir (tampon)', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0092 - Avaloir (tampon)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (73, 'BP_0093', 'Grille avaloir', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0093 - Grille avaloir');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (74, 'BP_0094', 'Armoire d''eau pluviale', 'Eau pluviale', 'EAUPL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0094 - Armoire d''eau pluviale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (75, 'BP_0095', 'Fil d''eau supplémentaire', 'Eau pluviale', 'EAUPL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'FE', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0095 - Fil d''eau supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (76, 'BP_0096', 'Point de mesure (TN/GST)', 'Eau pluviale', 'EAUPL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0096 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (77, 'BP_0097', 'Altitude supplémentaire', 'Eau pluviale', 'EAUPL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0097 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (78, 'BP_0098', 'Texte information', 'Eau pluviale', 'EAUPL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0098 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (79, 'BP_0099', 'Texte libre', 'Eau pluviale', 'EAUPL_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0099 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (80, 'BP_0121', 'Citerneau circulaire', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0121 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (81, 'BP_0122', 'Citerneau carré', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0122 - Citerneau carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (82, 'BP_0123', 'Cheminée carrée', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0123 - Cheminée carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (83, 'BP_0124', 'Cheminée circulaire', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0124 - Cheminée circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (84, 'BP_0125', 'Extrémité de conduite', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0125 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (85, 'BP_0126', 'Cône de réduction', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0126 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (86, 'BP_0127', 'Changement de matériau', 'Eau pluviale', 'EAUPL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_0127 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (87, 'BP_2051', 'Cote regard EP (tampon, radier)', 'Eau pluviale', 'EAUPL_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', 'TAMPON,RADIER', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2051 - Cote regard EP (tampon, radier)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (88, 'BP_2052', 'Puisard', 'Eau pluviale', 'EAUPL_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2052 - Puisard');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (89, 'BP_2053', 'Symbole station de relevage', 'Eau pluviale', 'EAUPL_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2053 - Symbole station de relevage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (90, 'BP_2054', 'Symbole séparateur d''hydrocarbure', 'Eau pluviale', 'EAUPL_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2054 - Symbole séparateur d''hydrocarbure');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (91, 'BP_2055', 'Avaloir à engouffrement', 'Eau pluviale', 'EAUPL_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2055 - Avaloir à engouffrement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (92, 'BP_2056', 'Regard avaloir', 'Eau pluviale', 'EAUPL_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2056 - Regard avaloir');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (93, 'BP_2057', 'Tête d''aqueduc', 'Eau pluviale', 'EAUPL_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2057 - Tête d''aqueduc');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (94, 'BP_2076', 'Embranchement', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2076 - Embranchement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (95, 'BP_2077', 'Coude', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2077 - Coude');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (96, 'BP_2078', 'Manchette/manchon', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2078 - Manchette/manchon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (97, 'BP_2079', 'Clapet anti-retour', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2079 - Clapet anti-retour');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (98, 'BP_2080', 'Objet annexe', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2080 - Objet annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (99, 'BP_2081', 'Prise en charge', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2081 - Prise en charge');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (100, 'BP_2082', 'Piquage', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'BP_2082 - Piquage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (101, 'CL_0141', 'Ouvrage annexe', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0141 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (102, 'CL_0181', 'Conduitre eau usée', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0181 - Conduitre eau usée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (103, 'CL_0182', 'Conduite galerie', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0182 - Conduite galerie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (104, 'CL_0183', 'Conduite indéterminée assainissement', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0183 - Conduite indéterminée assainissement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (105, 'CL_0184', 'Fourreau en attente', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0184 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (106, 'CL_0185', 'Chambre de forme complexe', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0185 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (107, 'CL_0186', 'Ouvrage annexe souterrain', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CL_0186 - Ouvrage annexe souterrain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (108, 'CP_0161', 'Tampon d''eau usée circulaire', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0161 - Tampon d''eau usée circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (109, 'CP_0162', 'Citerneau d''eau usée', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0162 - Citerneau d''eau usée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (110, 'CP_0163', 'Tampon d''eau usée carré', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0163 - Tampon d''eau usée carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (111, 'CP_0164', 'Tampon d''eau usée (diagonale)', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0164 - Tampon d''eau usée (diagonale)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (112, 'CP_0165', 'Trappe carrée d''eau usée', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0165 - Trappe carrée d''eau usée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (113, 'CP_0166', 'Trappe rectangulaire d''eau usée', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0166 - Trappe rectangulaire d''eau usée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (114, 'CP_0167', 'Armoire d''eau usée', 'Eau usée', 'EAUUS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0167 - Armoire d''eau usée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (115, 'CP_0168', 'Point de mesure (TN/GST)', 'Eau usée', 'EAUUS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0168 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (116, 'CP_0169', 'Altitude supplémentaire', 'Eau usée', 'EAUUS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0169 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (117, 'CP_0170', 'Texte information', 'Eau usée', 'EAUUS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0170 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (118, 'CP_0171', 'Texte libre', 'Eau usée', 'EAUUS_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0171 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (119, 'CP_0201', 'Citerneau circulaire', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0201 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (120, 'CP_0202', 'Citerneau carré', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0202 - Citerneau carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (121, 'CP_0203', 'Cheminée carrée', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0203 - Cheminée carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (122, 'CP_0204', 'Cheminée circulaire', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0204 - Cheminée circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (123, 'CP_0205', 'Extrémité de conduite', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0205 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (124, 'CP_0206', 'Cône de réduction', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0206 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (125, 'CP_0207', 'Changement de matériau', 'Eau usée', 'EAUUS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_0207 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (126, 'CP_2101', 'Cote regard EU (tampon, radier)', 'Eau usée', 'EAUUS_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', 'TAMPON,RADIER', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2101 - Cote regard EU (tampon, radier)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (127, 'CP_2102', 'Symbole station de relevage', 'Eau usée', 'EAUUS_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2102 - Symbole station de relevage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (128, 'CP_2103', 'Symbole station d''épuration', 'Eau usée', 'EAUUS_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2103 - Symbole station d''épuration');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (129, 'CP_2126', 'Embranchement', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2126 - Embranchement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (130, 'CP_2127', 'Coude', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2127 - Coude');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (131, 'CP_2128', 'Manchette/manchon', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2128 - Manchette/manchon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (132, 'CP_2129', 'Clapet anti-retour', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2129 - Clapet anti-retour');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (133, 'CP_2130', 'Ventouse', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2130 - Ventouse');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (134, 'CP_2131', 'Vidange', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2131 - Vidange');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (135, 'CP_2132', 'Objet annexe', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2132 - Objet annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (136, 'CP_2133', 'Prise en charge', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2133 - Prise en charge');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (137, 'CP_2134', 'Piquage', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'CP_2134 - Piquage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (138, 'DL_0221', 'Ouvrage annexe', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0221 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (139, 'DL_0261', 'Conduitre unitaire', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0261 - Conduitre unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (140, 'DL_0262', 'Conduite galerie', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0262 - Conduite galerie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (141, 'DL_0263', 'Conduite indéterminée unitaire', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0263 - Conduite indéterminée unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (142, 'DL_0264', 'Fourreau en attente', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0264 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (143, 'DL_0265', 'Chambre de forme complexe', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0265 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (144, 'DL_0266', 'Ouvrage annexe souterrain', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DL_0266 - Ouvrage annexe souterrain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (145, 'DP_0241', 'Tampon unitaire circulaire', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0241 - Tampon unitaire circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (146, 'DP_0242', 'Citerneau unitaire', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0242 - Citerneau unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (147, 'DP_0243', 'Tampon unitaire carré', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0243 - Tampon unitaire carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (148, 'DP_0244', 'Tampon unitaire (diagonale)', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0244 - Tampon unitaire (diagonale)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (149, 'DP_0245', 'Trappe carrée unitaire', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0245 - Trappe carrée unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (150, 'DP_0246', 'Trappe rectangulaire unitaire', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0246 - Trappe rectangulaire unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (151, 'DP_0247', 'Armoire unitaire', 'Unitaire', 'UNITA_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSARU', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0247 - Armoire unitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (152, 'DP_0248', 'Point de mesure (TN/GST)', 'Unitaire', 'UNITA_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0248 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (153, 'DP_0249', 'Altitude supplémentaire', 'Unitaire', 'UNITA_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0249 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (154, 'DP_0250', 'Texte information', 'Unitaire', 'UNITA_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0250 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (155, 'DP_0251', 'Texte libre', 'Unitaire', 'UNITA_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0251 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (156, 'DP_0281', 'Citerneau circulaire', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0281 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (157, 'DP_0282', 'Citerneau carré', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0282 - Citerneau carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (158, 'DP_0283', 'Cheminée carrée', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0283 - Cheminée carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (159, 'DP_0284', 'Cheminée circulaire', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0284 - Cheminée circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (160, 'DP_0285', 'Extrémité de conduite', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0285 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (161, 'DP_0286', 'Cône de réduction', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0286 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (162, 'DP_0287', 'Changement de matériau', 'Unitaire', 'UNITA_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'DP_0287 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (163, 'EL_0301', 'Ouvrage spécial', 'Chauffage', 'CHAUF_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'CHAU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0301 - Ouvrage spécial');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (164, 'EL_0341', 'Caniveau de chauffage', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0341 - Caniveau de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (165, 'EL_0342', 'Conduite en pleine terre', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0342 - Conduite en pleine terre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (166, 'EL_0343', 'Câble de télécommande', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0343 - Câble de télécommande');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (167, 'EL_0344', 'Bord de caniveau', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0344 - Bord de caniveau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (168, 'EL_0345', 'Fourreau de chauffage', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0345 - Fourreau de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (169, 'EL_0346', 'Chambre de forme complexe', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EL_0346 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (170, 'EP_0321', 'Bouche à clé de chauffage', 'Chauffage', 'CHAUF_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'CHAU', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0321 - Bouche à clé de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (171, 'EP_0322', 'Tampon circulaire de chauffage', 'Chauffage', 'CHAUF_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'CHAU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0322 - Tampon circulaire de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (172, 'EP_0323', 'Trappe rectangulaire de chauffage', 'Chauffage', 'CHAUF_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'CHAU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0323 - Trappe rectangulaire de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (173, 'EP_0324', 'Tampon carré de chauffage', 'Chauffage', 'CHAUF_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'CHAU', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0324 - Tampon carré de chauffage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (174, 'EP_0325', 'Point de mesure (TN/GST)', 'Chauffage', 'CHAUF_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0325 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (175, 'EP_0326', 'Altitude supplémentaire', 'Chauffage', 'CHAUF_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0326 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (176, 'EP_0327', 'Texte information', 'Chauffage', 'CHAUF_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0327 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (177, 'EP_0328', 'Texte libre', 'Chauffage', 'CHAUF_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0328 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (178, 'EP_0361', 'Point fixe', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0361 - Point fixe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (179, 'EP_0362', 'Chambre de vannes rectangulaire', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0362 - Chambre de vannes rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (180, 'EP_0363', 'Dalle de protection', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0363 - Dalle de protection');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (181, 'EP_0364', 'Vanne', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0364 - Vanne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (182, 'EP_0365', 'Compensateur', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0365 - Compensateur');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (183, 'EP_0366', 'Extrémité de conduite', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0366 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (184, 'EP_0367', 'Cône de réduction', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0367 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (185, 'EP_0368', 'Changement de matériau', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0368 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (186, 'EP_0369', 'Soudure', 'Chauffage', 'CHAUF_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_0369 - Soudure');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (187, 'EP_2201', 'Symbole unité de production', 'Chauffage', 'CHAUF_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_2201 - Symbole unité de production');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (188, 'EP_2202', 'Symbole sous-station', 'Chauffage', 'CHAUF_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_2202 - Symbole sous-station');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (189, 'EP_2226', 'Embranchement', 'Chauffage', 'CHAUF_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_2226 - Embranchement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (190, 'EP_2227', 'Coude', 'Chauffage', 'CHAUF_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_2227 - Coude');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (191, 'EP_2228', 'Manchette/manchon', 'Chauffage', 'CHAUF_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'EP_2228 - Manchette/manchon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (192, 'FL_0381', 'Ouvrage annexe', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ELEC', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0381 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (193, 'FL_0382', 'Ligne aérienne', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0382 - Ligne aérienne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (194, 'FL_0421', 'Câble basse tension', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0421 - Câble basse tension');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (195, 'FL_0422', 'Câble basse tension sous fourreau', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0422 - Câble basse tension sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (196, 'FL_0423', 'Câble HTA', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0423 - Câble HTA');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (197, 'FL_0424', 'Câble HTA sous fourreau', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0424 - Câble HTA sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (198, 'FL_0425', 'Câble HTA + BT', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0425 - Câble HTA + BT');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (199, 'FL_0426', 'Câble HTA + BT sous fourreau', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0426 - Câble HTA + BT sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (200, 'FL_0427', 'Câble indéfini', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0427 - Câble indéfini');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (201, 'FL_0428', 'Câble indéfini sous fourreau', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0428 - Câble indéfini sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (202, 'FL_0429', 'Fourreau en attente', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FL_0429 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (203, 'FP_0401', 'Poteau électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0401 - Poteau électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (204, 'FP_0402', 'Support de ligne électrique et lampadaire', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0402 - Support de ligne électrique et lampadaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (205, 'FP_0403', 'Support de ligne électrique et télécommunication', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0403 - Support de ligne électrique et télécommunication');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (206, 'FP_0404', 'Support de ligne électrique, lampadaire et télécommunication', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0404 - Support de ligne électrique, lampadaire et télécommunication');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (207, 'FP_0405', 'Armoire électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0405 - Armoire électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (208, 'FP_0406', 'Coffret électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0406 - Coffret électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (209, 'FP_0407', 'Pylône de ligne électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0407 - Pylône de ligne électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (210, 'FP_0408', 'Transformateur électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0408 - Transformateur électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (211, 'FP_0409', 'Chambre électrique', 'Electricité', 'ELECT_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELEC', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0409 - Chambre électrique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (212, 'FP_0410', 'Point de mesure (TN/GST)', 'Electricité', 'ELECT_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0410 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (213, 'FP_0411', 'Altitude supplémentaire', 'Electricité', 'ELECT_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0411 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (214, 'FP_0412', 'Texte information', 'Electricité', 'ELECT_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0412 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (215, 'FP_0413', 'Texte libre', 'Electricité', 'ELECT_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0413 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (216, 'FP_0441', 'Boîte de jonction', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0441 - Boîte de jonction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (217, 'FP_0442', 'Chambre rectangulaire', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0442 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (218, 'FP_0443', 'Chambre circulaire', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0443 - Chambre circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (219, 'FP_0444', 'Extrémité de réseau', 'Electricité', 'ELECT_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'FP_0444 - Extrémité de réseau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (220, 'GL_0461', 'Ouvrage annexe', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ELECECL', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0461 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (221, 'GL_0462', 'Ligne aérienne', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0462 - Ligne aérienne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (222, 'GL_0501', 'Câble BT Eclairage public', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0501 - Câble BT Eclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (223, 'GL_0502', 'Câble BT Eclairage public sous fourreau', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0502 - Câble BT Eclairage public sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (224, 'GL_0503', 'Câble HT Eclairage public', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0503 - Câble HT Eclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (225, 'GL_0504', 'Câble HT Eclairage public sous fourreau', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0504 - Câble HT Eclairage public sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (226, 'GL_0505', 'Fourreau vide Eclairage public', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GL_0505 - Fourreau vide Eclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (227, 'GP_0481', 'Lampadaire', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '07', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0481 - Lampadaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (228, 'GP_0482', 'Lampadaire support feu tricolore', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '07', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0482 - Lampadaire support feu tricolore');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (229, 'GP_0483', 'Lampadaire de façade', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0483 - Lampadaire de façade');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (230, 'GP_0484', 'Borne d''éclairage', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '07', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0484 - Borne d''éclairage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (231, 'GP_0485', 'Regard d''éclairage public', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0485 - Regard d''éclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (232, 'GP_0486', 'Chambre d''éclairage public', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0486 - Chambre d''éclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (233, 'GP_0487', 'Armoire d''éclairage public', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0487 - Armoire d''éclairage public');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (234, 'GP_0488', 'Borne alimentation d''éclairage', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0488 - Borne alimentation d''éclairage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (235, 'GP_0489', 'Pylône d''éclairage', 'Eclairage public', 'ECPUB_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECECL', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0489 - Pylône d''éclairage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (236, 'GP_0490', 'Point de mesure (TN/GST)', 'Eclairage public', 'ECPUB_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0490 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (237, 'GP_0491', 'Altitude supplémentaire', 'Eclairage public', 'ECPUB_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0491 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (238, 'GP_0492', 'Texte information', 'Eclairage public', 'ECPUB_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0492 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (239, 'GP_0493', 'Texte libre', 'Eclairage public', 'ECPUB_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0493 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (240, 'GP_0521', 'Boîte de jonction', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0521 - Boîte de jonction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (241, 'GP_0522', 'Chambre rectangulaire', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0522 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (242, 'GP_0523', 'Chambre circulaire', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0523 - Chambre circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (243, 'GP_0524', 'Extrémité de réseau', 'Eclairage public', 'ECPUB_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'GP_0524 - Extrémité de réseau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (244, 'HL_0541', 'Ouvrage annexe', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'ELECSLT', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0541 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (245, 'HL_0542', 'Ligne aérienne', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0542 - Ligne aérienne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (246, 'HL_0581', 'TBT Coordination', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0581 - TBT Coordination');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (247, 'HL_0582', 'TBT Coordination sous fourreau', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0582 - TBT Coordination sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (248, 'HL_0583', 'Câble BT Signalisation verticale - Alimentation', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0583 - Câble BT Signalisation verticale - Alimentation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (249, 'HL_0584', 'Câble BT Signalisation verticale - Alimentation sous fourreau', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0584 - Câble BT Signalisation verticale - Alimentation sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (250, 'HL_0585', 'BT vidéo sous fourreau', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0585 - BT vidéo sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (251, 'HL_0586', 'TBT autre', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0586 - TBT autre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (252, 'HL_0587', 'TBT autre sous fourreau', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0587 - TBT autre sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (253, 'HL_0588', 'Fourreau vide SL', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HL_0588 - Fourreau vide SL');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (254, 'HP_0561', 'Support feu tricolore', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0561 - Support feu tricolore');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (255, 'HP_0562', 'Support de rappel de feu', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0562 - Support de rappel de feu');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (256, 'HP_0563', 'Panneau lumineux', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0563 - Panneau lumineux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (257, 'HP_0564', 'Mât de jalonnement', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '07', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0564 - Mât de jalonnement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (258, 'HP_0565', 'Regard de signalisation', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0565 - Regard de signalisation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (259, 'HP_0566', 'Chambre de signalisation', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0566 - Chambre de signalisation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (260, 'HP_0567', 'Armoire de signalisation', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ELECSLT', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0567 - Armoire de signalisation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (261, 'HP_0568', 'Caméra de surveillance du trafic', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0568 - Caméra de surveillance du trafic');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (262, 'HP_0569', 'Panneau de signalisation', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0569 - Panneau de signalisation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (263, 'HP_0570', 'Panneau de signalisation double', 'Signalisation verticale', 'SIGNV_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0570 - Panneau de signalisation double');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (264, 'HP_0571', 'Point de mesure (TN/GST)', 'Signalisation verticale', 'SIGNV_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0571 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (265, 'HP_0572', 'Altitude supplémentaire', 'Signalisation verticale', 'SIGNV_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0572 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (266, 'HP_0573', 'Texte information', 'Signalisation verticale', 'SIGNV_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0573 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (267, 'HP_0574', 'Texte libre', 'Signalisation verticale', 'SIGNV_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0574 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (268, 'HP_0601', 'Boîte de jonction', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0601 - Boîte de jonction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (269, 'HP_0602', 'Boucle de détection', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0602 - Boucle de détection');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (270, 'HP_0603', 'Chambre de tirage rectangulaire', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0603 - Chambre de tirage rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (271, 'HP_0604', 'Chambre de tirage circulaire', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0604 - Chambre de tirage circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (272, 'HP_0605', 'Boucle de détection inclinée', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0605 - Boucle de détection inclinée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (273, 'HP_0606', 'Boucle de détection chevron', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0606 - Boucle de détection chevron');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (274, 'HP_0607', 'Extrémité de conduite', 'Signalisation verticale', 'SIGNV_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'HP_0607 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (275, 'IL_0621', 'Ouvrage annexe', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '10', 'COM', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0621 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (276, 'IL_0622', 'Ligne aérienne', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0622 - Ligne aérienne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (277, 'IL_0661', 'Nappe de foureau télécom', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0661 - Nappe de foureau télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (278, 'IL_0662', 'Câble de transmission longue distance', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0662 - Câble de transmission longue distance');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (279, 'IL_0663', 'Câble télécom Autorité Territoriale Compétente', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0663 - Câble télécom Autorité Territoriale Compétente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (280, 'IL_0664', 'Nappe de fourreau télécom Autorité Territoriale Compétente', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0664 - Nappe de fourreau télécom Autorité Territoriale Compétente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (281, 'IL_0665', 'Chambre de forme complexe', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0665 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (282, 'IL_0666', 'Fourreau en attente', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IL_0666 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (283, 'IP_0641', 'Support ligne PTT', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '06', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0641 - Support ligne PTT');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (284, 'IP_0642', 'Citerneau circulaire télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0642 - Citerneau circulaire télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (285, 'IP_0643', 'Borne télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0643 - Borne télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (286, 'IP_0644', 'Citerneau carré télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0644 - Citerneau carré télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (287, 'IP_0645', 'Chambre télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0645 - Chambre télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (288, 'IP_0646', 'Armoire télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'COM', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0646 - Armoire télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (289, 'IP_0647', 'Cabine téléphonique', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0647 - Cabine téléphonique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (290, 'IP_0648', 'Aération carrée télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0648 - Aération carrée télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (291, 'IP_0649', 'Aération rectangle télécom', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2023-01-18', '2022-10-19', 'IP_0649 - Aération rectangle télécom');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (292, 'IP_0650', 'Boîte aux lettres', 'Télécommunication', 'TELEC_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0650 - Boîte aux lettres');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (293, 'IP_0651', 'Point de mesure (TN/GST)', 'Télécommunication', 'TELEC_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0651 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (294, 'IP_0652', 'Altitude supplémentaire', 'Télécommunication', 'TELEC_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0652 - Altitude supplémentaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (295, 'IP_0653', 'Texte information', 'Télécommunication', 'TELEC_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0653 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (296, 'IP_0654', 'Texte libre', 'Télécommunication', 'TELEC_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0654 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (297, 'IP_0681', 'Chambre rectangulaire', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0681 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (298, 'IP_0682', 'Citerneau circulaire', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0682 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (299, 'IP_0683', 'Extrémité de conduite', 'Télécommunication', 'TELEC_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'IP_0683 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (300, 'JL_0721', 'Conduite de gaz basse pression', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0721 - Conduite de gaz basse pression');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (301, 'JL_0722', 'Conduite de gaz basse pression sous fourreau', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0722 - Conduite de gaz basse pression sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (302, 'JL_0723', 'Conduite de gaz moyenne pression', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0723 - Conduite de gaz moyenne pression');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (303, 'JL_0724', 'Conduite de gaz moyenne pression sous fourreau', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0724 - Conduite de gaz moyenne pression sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (304, 'JL_0725', 'Conduite de gaz pression supérieure (MPC)', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0725 - Conduite de gaz pression supérieure (MPC)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (305, 'JL_0726', 'Conduite de gaz pression supérieure sous fourreau', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0726 - Conduite de gaz pression supérieure sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (306, 'JL_0727', 'Conduite de gaz type indéfini', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0727 - Conduite de gaz type indéfini');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (307, 'JL_0728', 'Conduite de gaz type indéfini sous fourreau', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0728 - Conduite de gaz type indéfini sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (308, 'JL_0729', 'Fourreau en attente', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JL_0729 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (309, 'JP_0701', 'Vanne d''arrêt gaz', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '04', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0701 - Vanne d''arrêt gaz');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (310, 'JP_0702', 'Borne de gaz', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0702 - Borne de gaz');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (311, 'JP_0703', 'Coffret gaz', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0703 - Coffret gaz');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (312, 'JP_0704', 'Coffret mixte gaz/électricité', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0704 - Coffret mixte gaz/électricité');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (313, 'JP_0705', 'Armoire gaz', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0705 - Armoire gaz');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (314, 'JP_0706', 'Trappe d''accès gaz', 'Gaz', 'GAZFL_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'GAZ', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0706 - Trappe d''accès gaz');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (315, 'JP_0707', 'Point de mesure (TN/GST)', 'Gaz', 'GAZFL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0707 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (316, 'JP_0708', 'Génératrice supérieure de transport à lever', 'Gaz', 'GAZFL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0708 - Génératrice supérieure de transport à lever');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (317, 'JP_0709', 'Texte information', 'Gaz', 'GAZFL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0709 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (318, 'JP_0710', 'Texte libre', 'Gaz', 'GAZFL_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0710 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (319, 'JP_0741', 'Vanne', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0741 - Vanne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (320, 'JP_0742', 'Cône de réduction', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0742 - Cône de réduction');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (321, 'JP_0743', 'Chambre rectangulaire', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0743 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (322, 'JP_0744', 'Citerneau circulaire', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0744 - Citerneau circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (323, 'JP_0745', 'Citerneau carré', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0745 - Citerneau carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (324, 'JP_0746', 'Extrémité de conduite', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0746 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (325, 'JP_0747', 'Changement de matériau', 'Gaz', 'GAZFL_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_0747 - Changement de matériau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (326, 'JP_2451', 'Repérage de réseau', 'Gaz', 'GAZFL_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_2451 - Repérage de réseau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (327, 'JP_2452', 'Balise de repérage', 'Gaz', 'GAZFL_PSI', 'nc', 'nc', 'nc', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'JP_2452 - Balise de repérage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (328, 'KL_0781', 'Nappe de câbles indéfinis', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KL_0781 - Nappe de câbles indéfinis');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (329, 'KL_0782', 'Nappe de fourreaux indéfinis', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KL_0782 - Nappe de fourreaux indéfinis');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (330, 'KL_0783', 'Conduite indéfinie', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KL_0783 - Conduite indéfinie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (331, 'KL_0784', 'Caniveau galerie technique', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KL_0784 - Caniveau galerie technique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (332, 'KL_0785', 'Chambre de forme complexe', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KL_0785 - Chambre de forme complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (333, 'KP_0761', 'Plaque circulaire', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0761 - Plaque circulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (334, 'KP_0762', 'Plaque carrée', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0762 - Plaque carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (335, 'KP_0763', 'Tampon carré', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0763 - Tampon carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (336, 'KP_0764', 'Plaque', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0764 - Plaque');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (337, 'KP_0765', 'Coffret', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0765 - Coffret');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (338, 'KP_0766', 'Armoire', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0766 - Armoire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (339, 'KP_0767', 'Tampon multi-réseaux', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'MULT', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0767 - Tampon multi-réseaux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (340, 'KP_0768', 'Armoire multi-réseaux', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'MULT', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0768 - Armoire multi-réseaux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (341, 'KP_0769', 'Coffret multi-réseaux (hors gaz+élec)', 'Indéterminé', 'INDET_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'MULT', '02', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0769 - Coffret multi-réseaux (hors gaz+élec)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (342, 'KP_0770', 'Texte libre', 'Indéterminé', 'INDET_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0770 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (343, 'KP_0801', 'Chambre multi-réseaux', 'Indéterminé', 'INDET_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'KP_0801 - Chambre multi-réseaux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (344, 'LL_0821', 'Ouvrage annexe', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0821 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (345, 'LL_0822', 'Bordure fil d''eau', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0822 - Bordure fil d''eau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (346, 'LL_0823', 'Ralentisseur', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0823 - Ralentisseur');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (347, 'LL_0824', 'Changement de revêtement', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0824 - Changement de revêtement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (348, 'LL_0825', 'Glissière de sécurité', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0825 - Glissière de sécurité');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (349, 'LL_0826', 'Bordurette', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0826 - Bordurette');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (350, 'LL_0827', 'Caniveau double pente(Axe)', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0827 - Caniveau double pente(Axe)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (351, 'LL_0828', 'Bande d''éveil de vigilance', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0828 - Bande d''éveil de vigilance');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (352, 'LL_0828', 'Bande d''éveil de vigilance', 'Voirie', 'VOIRH_SCS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'socle commun', 'Hachure', NULL, 'Hachures', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0828 - Bande d''éveil de vigilance');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (353, 'LL_0829', 'Bord de chaussée', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'LimiteVoirie', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0829 - Bord de chaussée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (354, 'LL_0830', 'Bordure anti-stationnement', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_0830 - Bordure anti-stationnement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (355, 'LL_2551', 'Pont en surplomb, tunnel', 'Voirie', 'VOIRI_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_2551 - Pont en surplomb, tunnel');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (356, 'LL_2552', 'Passerelle en surplomb', 'Voirie', 'VOIRI_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_2552 - Passerelle en surplomb');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (357, 'LL_2553', 'Pilier de pont, d''ouvrage', 'Voirie', 'VOIRI_PSS', 'nc', 'nc', 'PilePont', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_2553 - Pilier de pont, d''ouvrage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (358, 'LL_2553', 'Pilier de pont, d''ouvrage', 'Voirie', 'VOIRH_PSS', 'nc', 'nc', 'PilePont', 'Surface', 'Lorient Agglomération', 'Hachure', NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LL_2553 - Pilier de pont, d''ouvrage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (359, 'LP_0841', 'Surbaissé de trottoir (gauche)', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LP_0841 - Surbaissé de trottoir (gauche)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (360, 'LP_0842', 'Surbaissé de trottoir (droit)', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LP_0842 - Surbaissé de trottoir (droit)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (361, 'LP_0843', 'Borne de voirie <= 0.20', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LP_0843 - Borne de voirie <= 0.20');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (362, 'LP_0844', 'Borne de voirie > 0.20', 'Voirie', 'VOIRI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LP_0844 - Borne de voirie > 0.20');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (363, 'LP_0845', 'Texte libre', 'Voirie', 'VOIRI_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '03', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'LP_0845 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (364, 'ML_0861', 'Bande cyclable', 'Marquage au sol', 'MARQU_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ML_0861 - Bande cyclable');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (365, 'ML_0862', 'Passage piétons', 'Marquage au sol', 'MARQU_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ML_0862 - Passage piétons');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (366, 'ML_2576', 'Marquage Bus', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ML_2576 - Marquage Bus');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (367, 'ML_2577', 'Divers marquage voirie', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ML_2577 - Divers marquage voirie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (368, 'MP_0881', 'Texte libre', 'Marquage au sol', 'MARQU_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'MP_0881 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (369, 'MP_2578', 'Flèche droite', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2578 - Flèche droite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (370, 'MP_2579', 'Flèche droite et directionnelle', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2579 - Flèche droite et directionnelle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (371, 'MP_2580', 'Flèche directionnelle', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2580 - Flèche directionnelle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (372, 'MP_2581', 'Flèche de rabattement', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2581 - Flèche de rabattement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (373, 'MP_2582', 'Symbole piste cyclable', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2582 - Symbole piste cyclable');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (374, 'MP_2583', 'Symbole cheminement piétons', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2583 - Symbole cheminement piétons');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (375, 'MP_2584', 'Symbole handicapés', 'Marquage au sol', 'MARQU_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-11-23', '2022-10-19', 'MP_2584 - Symbole handicapés');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (376, 'NL_0901', 'Ouvrage annexe', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NL_0901 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (377, 'NL_0902', 'Rambarde de protection', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NL_0902 - Rambarde de protection');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (378, 'NP_0921', 'Banc simple', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0921 - Banc simple');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (379, 'NP_0922', 'Banc double', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0922 - Banc double');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (380, 'NP_0923', 'Conteneur enterré', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0923 - Conteneur enterré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (381, 'NP_0924', 'Corbeille', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0924 - Corbeille');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (382, 'NP_0925', 'Horodateur', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0925 - Horodateur');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (383, 'NP_0926', 'Panneau publicitaire', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0926 - Panneau publicitaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (384, 'NP_0927', 'Sanisettes', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0927 - Sanisettes');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (385, 'NP_0928', 'Parc à vélos', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0928 - Parc à vélos');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (386, 'NP_0929', 'Barrière de limitation d''accès', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0929 - Barrière de limitation d''accès');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (387, 'NP_0930', 'Parc à vélos locatifs', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0930 - Parc à vélos locatifs');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (388, 'NP_0931', 'Borne de voirie escamotable', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0931 - Borne de voirie escamotable');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (389, 'NP_0932', 'Potelet de voirie amovible', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0932 - Potelet de voirie amovible');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (390, 'NP_0933', 'Potelet rond', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0933 - Potelet rond');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (391, 'NP_0934', 'Borne de contrôle d''accès', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0934 - Borne de contrôle d''accès');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (392, 'NP_0935', 'Massif ou socle carré', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0935 - Massif ou socle carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (393, 'NP_0936', 'Massif ou socle', 'Mobilier urbain', 'MOBUR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0936 - Massif ou socle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (394, 'NP_0937', 'Texte libre', 'Mobilier urbain', 'MOBUR_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_0937 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (395, 'NP_2601', 'Potelet carré', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2601 - Potelet carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (396, 'NP_2602', 'Poubelle carrée', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2602 - Poubelle carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (397, 'NP_2603', 'Poubelle rectangulaire', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2603 - Poubelle rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (398, 'NP_2604', 'Poubelle ovale', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2604 - Poubelle ovale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (399, 'NP_2605', 'Jardinière carrée', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2605 - Jardinière carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (400, 'NP_2606', 'Jardinière rectangulaire', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2606 - Jardinière rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (401, 'NP_2607', 'Jardinière ronde', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2607 - Jardinière ronde');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (402, 'NP_2608', 'Jardinière hexagonale', 'Mobilier urbain', 'MOBUR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'NP_2608 - Jardinière hexagonale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (403, 'OL_0941', 'Ouvrage annexe', 'Nivellement', 'NIVEL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OL_0941 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (404, 'OL_0942', 'Pied de talus', 'Nivellement', 'NIVEL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OL_0942 - Pied de talus');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (405, 'OL_0943', 'Haut de talus', 'Nivellement', 'NIVEL_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OL_0943 - Haut de talus');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (406, 'OP_0961', 'Piézomètre', 'Nivellement', 'NIVEL_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OP_0961 - Piézomètre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (407, 'OP_0962', 'Sondage', 'Nivellement', 'NIVEL_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OP_0962 - Sondage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (408, 'OP_0963', 'Texte libre', 'Nivellement', 'NIVEL_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'OP_0963 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (409, 'PL_0981', 'Ouvrage annexe', 'Voie ferrée', 'VOIEF_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, 'pct', 'Polyligne', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PL_0981 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (410, 'PL_0982', 'Voie levée rail par rail', 'Voie ferrée', 'VOIEF_SCS', 'nc', 'nc', 'Rail', 'Surface', 'socle commun', NULL, 'pct', 'Polyligne', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PL_0982 - Voie levée rail par rail');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (411, 'PL_0983', 'Voie levée en axe', 'Voie ferrée', 'VOIEF_SCS', 'nc', 'nc', 'Rail', 'Surface', 'socle commun', NULL, 'pct', 'Polyligne', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PL_0983 - Voie levée en axe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (412, 'PL_0984', 'Caniveau câbles', 'Voie ferrée', 'VOIEF_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, 'pct', 'Polyligne', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PL_0984 - Caniveau câbles');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (413, 'PP_1001', 'Barrière passage à niveau', 'Voie ferrée', 'VOIEF_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PP_1001 - Barrière passage à niveau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (414, 'PP_1002', 'Texte libre', 'Voie ferrée', 'VOIEF_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '04', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'PP_1002 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (415, 'QL_1021', 'Ouvrage annexe', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1021 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (416, 'QL_1022', 'Tablier viaduc passerelle', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '07', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1022 - Tablier viaduc passerelle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (417, 'QL_1061', 'Lierne ou mur d''enceinte de station', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1061 - Lierne ou mur d''enceinte de station');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (418, 'QL_1062', 'Ligne en tirant d''air', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1062 - Ligne en tirant d''air');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (419, 'QL_1063', 'Tunnel profond en axe (XYZ)', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1063 - Tunnel profond en axe (XYZ)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (420, 'QL_1064', 'Pied droit de galerie de ventilation', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1064 - Pied droit de galerie de ventilation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (421, 'QL_1065', 'Galerie de ventilation', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1065 - Galerie de ventilation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (422, 'QL_1066', 'Ouvrage annexe', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1066 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (423, 'QL_1067', 'Câble de terre sous fourreau', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1067 - Câble de terre sous fourreau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (424, 'QL_1068', 'Fourreau en attente', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QL_1068 - Fourreau en attente');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (425, 'QP_1041', 'Abri bus', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1041 - Abri bus');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (426, 'QP_1042', 'Distributeur de tickets', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1042 - Distributeur de tickets');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (427, 'QP_1043', 'Poteau d''arrêt de bus', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1043 - Poteau d''arrêt de bus');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (428, 'QP_1044', 'Aération carrée', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1044 - Aération carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (429, 'QP_1045', 'Aération rectangle', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1045 - Aération rectangle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (430, 'QP_1046', 'Trappe carrée transport urbain', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1046 - Trappe carrée transport urbain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (431, 'QP_1047', 'Trappe rectangulaire transport urbain', 'Transport', 'TRANS_SCS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', '00', '03', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1047 - Trappe rectangulaire transport urbain');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (432, 'QP_1048', 'Point de mesure (TN/GST)', 'Transport', 'TRANS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'TN,GST', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1048 - Point de mesure (TN/GST)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (433, 'QP_1049', 'Génératrice supérieure de transport à lever', 'Transport', 'TRANS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1049 - Génératrice supérieure de transport à lever');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (434, 'QP_1050', 'Texte information', 'Transport', 'TRANS_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1050 - Texte information');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (435, 'QP_1051', 'Texte libre', 'Transport', 'TRANS_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1051 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (436, 'QP_1081', 'Pieu', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1081 - Pieu');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (437, 'QP_1082', 'Regard carré', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1082 - Regard carré');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (438, 'QP_1083', 'Socle grue', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1083 - Socle grue');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (439, 'QP_1084', 'Chambre rectangulaire', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1084 - Chambre rectangulaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (440, 'QP_1085', 'Extrémité de conduite', 'Transport', 'TRANS_SCT', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'QP_1085 - Extrémité de conduite');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (441, 'RL_1101', 'Ouvrage annexe', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1101 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (442, 'RL_1102', 'Surplomb bâti', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'ProeminenceBati', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1102 - Surplomb bâti');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (443, 'RL_1103', 'Balcon', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'ProeminenceBati', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1103 - Balcon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (444, 'RL_1104', 'Façade bâtiment', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Facade', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1104 - Façade bâtiment');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (445, 'RL_1105', 'Bâtiment', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Facade', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1105 - Bâtiment');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (446, 'RL_1106', 'Bâtiment léger', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Facade', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1106 - Bâtiment léger');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (447, 'RL_1107', 'Hachure bâtiment', 'Bâti', 'BATIH_SCS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1107 - Hachure bâtiment');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (448, 'RL_1108', 'Croisillon bâtiment léger', 'Bâti', 'BATIH_SCS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1108 - Croisillon bâtiment léger');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (449, 'RL_1109', 'Rampe d''accès', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'MarcheEscalier', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1109 - Rampe d''accès');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (450, 'RL_1110', 'Escalier complexe', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'MarcheEscalier', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RL_1110 - Escalier complexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (451, 'RP_1121', 'Seuil de porte', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Seuil', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1121 - Seuil de porte');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (452, 'RP_1122', 'Seuil de garage', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Seuil', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1122 - Seuil de garage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (453, 'RP_1123', 'Soupirail', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'Seuil', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1123 - Soupirail');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (454, 'RP_1124', 'Escalier', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'MarcheEscalier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1124 - Escalier');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (455, 'RP_1125', 'Pilier circulaire bâti', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', '02', '2022-10-19', '2022-10-19', 'RP_1125 - Pilier circulaire bâti');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (456, 'RP_1126', 'Pilier carré bâti', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', '01', '2022-10-19', '2022-10-19', 'RP_1126 - Pilier carré bâti');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (457, 'RP_1127', 'Pilier rectangle bâti', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', '03', '2022-10-19', '2022-10-19', 'RP_1127 - Pilier rectangle bâti');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (458, 'RP_1128', 'Ventilation carrée', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1128 - Ventilation carrée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (459, 'RP_1129', 'Ventilation rectangle', 'Bâti', 'BATIM_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1129 - Ventilation rectangle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (460, 'RP_1130', 'Texte libre', 'Bâti', 'BATIM_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_1130 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (461, 'RP_2726', 'Calvaire', 'Bâti', 'BATIM_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '02', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'RP_2726 - Calvaire');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (462, 'SL_1141', 'Ouvrage annexe', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '05', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SL_1141 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (463, 'SL_1142', 'Clôture légère levée par le coté', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Mur', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '05', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SL_1142 - Clôture légère levée par le coté');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (464, 'SL_1143', 'Mur de plaques', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Mur', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '05', 'nc', 'nc', '01', 'nc', '2022-10-19', '2022-10-19', 'SL_1143 - Mur de plaques');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (465, 'SL_1144', 'Mur h>1.10m', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Mur', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '05', 'nc', 'nc', '01', 'nc', '2022-10-19', '2022-10-19', 'SL_1144 - Mur h>1.10m');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (466, 'SL_1144', 'Mur h>1.10m', 'Clôture', 'CLOTH_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', 'Hachure', NULL, 'Hachures', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SL_1144 - Mur h>1.10m');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (467, 'SL_1145', 'Mur de soutènement', 'Clôture', 'CLOTH_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', 'Hachure', NULL, 'Hachures', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SL_1145 - Mur de soutènement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (468, 'SL_1145', 'Mur de soutènement', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Mur', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '05', 'nc', 'nc', '02', 'nc', '2022-10-19', '2022-10-19', 'SL_1145 - Mur de soutènement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (469, 'SL_1146', 'Mur h<1.10m', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Mur', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '05', 'nc', 'nc', '03', 'nc', '2022-10-19', '2022-10-19', 'SL_1146 - Mur h<1.10m');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (470, 'SP_1161', 'Portail - portillon', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'Seuil', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '05', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SP_1161 - Portail - portillon');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (471, 'SP_1162', 'Pilier carré clôture', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '05', 'nc', 'nc', 'nc', '01', '2022-10-19', '2022-10-19', 'SP_1162 - Pilier carré clôture');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (472, 'SP_1163', 'Pilier rectangulaire clôture', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '05', 'nc', 'nc', 'nc', '03', '2022-10-19', '2022-10-19', 'SP_1163 - Pilier rectangulaire clôture');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (473, 'SP_1164', 'Pilier circulaire clôture', 'Clôture', 'CLOTU_SCS', 'nc', 'nc', 'PilierRegulier', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '05', 'nc', 'nc', 'nc', '02', '2022-10-19', '2022-10-19', 'SP_1164 - Pilier circulaire clôture');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (474, 'SP_1165', 'Texte libre', 'Clôture', 'CLOTU_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '05', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'SP_1165 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (475, 'TL_1181', 'Bord d''allée', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1181 - Bord d''allée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (476, 'TL_1182', 'Limite pelouse-massif', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1182 - Limite pelouse-massif');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (477, 'TL_1183', 'Haie', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1183 - Haie');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (478, 'TL_1184', 'Zone boisée', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1184 - Zone boisée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (479, 'TL_1184', 'Zone boisée', 'Jardin', 'JARDH_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, NULL, 'Hachures', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1184 - Zone boisée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (480, 'TL_1185', 'Aire de jeux', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TL_1185 - Aire de jeux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (481, 'TL_2776', 'Friche', 'Jardin', 'JARDH_PSS', 'nc', 'nc', 'nc', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Hachures', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-12-12', '2022-10-19', 'TL_2776 - Friche');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (482, 'TL_2776', 'Friche', 'Jardin', 'JARDI_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-20', '2022-10-19', 'TL_2776 - Friche');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (483, 'TL_2777', 'Pelouse', 'Jardin', 'JARDH_PSS', 'nc', 'nc', 'HabillageEnveloppe', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Hachures', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-12-12', '2022-10-19', 'TL_2777 - Pelouse');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (484, 'TP_1201', 'Souche', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'nc', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1201 - Souche');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (485, 'TP_1202', 'Arbre d''alignement', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'Arbre', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1202 - Arbre d''alignement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (486, 'TP_1203', 'Arbre d''ornement', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'Arbre', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1203 - Arbre d''ornement');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (487, 'TP_1204', 'Arbre cépée', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'Arbre', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1204 - Arbre cépée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (488, 'TP_1205', 'Conifère', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'Arbre', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1205 - Conifère');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (489, 'TP_1206', 'Jeu simple', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1206 - Jeu simple');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (490, 'TP_1207', 'Aire de jeux', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1207 - Aire de jeux');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (491, 'TP_1208', 'Jardinière', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1208 - Jardinière');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (492, 'TP_1209', 'Tombe', 'Jardin', 'JARDI_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1209 - Tombe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (493, 'TP_1210', 'Texte libre', 'Jardin', 'JARDI_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_1210 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (494, 'TP_2778', 'Palmier', 'Jardin', 'JARDI_PSS', 'nc', 'nc', 'Arbre', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_2778 - Palmier');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (495, 'TP_2779', 'Arbuste', 'Jardin', 'JARDI_PSS', 'nc', 'nc', 'Arbre', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '06', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'TP_2779 - Arbuste');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (496, 'UL_1221', 'Ouvrage annexe', 'Aménagement sportif', 'AMENA_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'UL_1221 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (497, 'UL_1222', 'Marquage au sol', 'Aménagement sportif', 'AMENA_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'UL_1222 - Marquage au sol');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (498, 'UL_1223', 'Lice de protection', 'Aménagement sportif', 'AMENA_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'UL_1223 - Lice de protection');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (499, 'UP_1241', 'Texte libre', 'Aménagement sportif', 'AMENA_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'UP_1241 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (500, 'VL_1261', 'Jonction entre bornes', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_1261 - Jonction entre bornes');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (501, 'VL_1262', 'Ligne de cotation', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_1262 - Ligne de cotation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (502, 'VL_1263', 'Ligne de cotation', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_1263 - Ligne de cotation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (503, 'VL_1264', 'Limite de zone aedificandi', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_1264 - Limite de zone aedificandi');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (504, 'VL_2826', 'Limite de propriété', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_2826 - Limite de propriété');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (505, 'VL_2827', 'Limite nouvelle, division', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_2827 - Limite nouvelle, division');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (506, 'VL_2828', 'Application graphique cadastrale', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VL_2828 - Application graphique cadastrale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (507, 'VP_1281', 'Borne de propriété', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_1281 - Borne de propriété');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (508, 'VP_1282', 'Piquet topographique', 'Propriété', 'PROPR_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_1282 - Piquet topographique');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (509, 'VP_1283', 'Texte libre', 'Propriété', 'PROPR_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_1283 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (510, 'VP_2829', 'Nouvelle borne', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_2829 - Nouvelle borne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (511, 'VP_2830', 'Appartenance de mur, clôture...', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_2830 - Appartenance de mur, clôture...');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (512, 'VP_2831', 'Mitoyenneté', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_2831 - Mitoyenneté');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (513, 'VP_2832', 'Appartenance bâtiment', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_2832 - Appartenance bâtiment');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (514, 'VP_2833', 'Flèche de cotation', 'Propriété', 'PROPR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'VP_2833 - Flèche de cotation');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (515, 'WL_1301', 'Ouvrage annexe', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1301 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (516, 'WL_1302', 'Cours d''eau avec quai', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1302 - Cours d''eau avec quai');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (517, 'WL_1303', 'Cours d''eau sans quai', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1303 - Cours d''eau sans quai');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (518, 'WL_1304', 'Fontaine, Bassin', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1304 - Fontaine, Bassin');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (519, 'WL_1305', 'Rive maçonnée', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1305 - Rive maçonnée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (520, 'WL_1306', 'Palplanche', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1306 - Palplanche');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (521, 'WL_1307', 'Palplanche couronnée', 'Hydrographie', 'HYDRO_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WL_1307 - Palplanche couronnée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (522, 'WP_1321', 'Texte libre', 'Hydrographie', 'HYDRO_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'WP_1321 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (523, 'XL_1341', 'Ouvrage annexe', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1341 - Ouvrage annexe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (524, 'XL_1342', 'Cale', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1342 - Cale');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (525, 'XL_1343', 'Digue', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1343 - Digue');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (526, 'XL_1344', 'Estacade', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1344 - Estacade');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (527, 'XL_1345', 'Môle', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1345 - Môle');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (528, 'XL_1346', 'Rideau de palplanches', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1346 - Rideau de palplanches');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (529, 'XL_1347', 'Bord de quai', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'QuaiFluvioMaritime', 'Surface', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XL_1347 - Bord de quai');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (530, 'XP_1361', 'Echelle d''accès', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XP_1361 - Echelle d''accès');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (531, 'XP_1362', 'Bouée', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XP_1362 - Bouée');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (532, 'XP_1363', 'Anneau d''amarrage', 'Ouvrage maritime', 'OUVRA_SCS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XP_1363 - Anneau d''amarrage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (533, 'XP_1364', 'Texte libre', 'Ouvrage maritime', 'OUVRA_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '08', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'XP_1364 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (534, 'YL_2901', 'Cheminement topo', 'SIGT', 'SIGTS_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YL_2901 - Cheminement topo');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (535, 'YL_2902', 'Courbes de niveau', 'SIGT', 'SIGTO_PSS', 'nc', 'nc', 'HabillageLignes', 'Surface', 'Lorient Agglomération', NULL, NULL, 'Polyligne', NULL, NULL, '09', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YL_2902 - Courbes de niveau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (536, 'YP_1521', 'Point topo', 'SIGT', 'SIGTO_SCI', 'SIGTA_SCI', 'SIGTM_SCI', 'PointLeve', 'Information', 'socle commun', NULL, 'pct', 'Bloc', 'ALT', 'MAT', '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_1521 - Point topo');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (537, 'YP_2900', 'Coordonnées objets référentiels (Spit, Station, Bornes)', 'SIGT', 'SIGTO_PSI', 'nc', 'SIGTM_PSI', 'PointLeve', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, 'MAT', '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2900 - Coordonnées objets référentiels (Spit, Station, Bornes)');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (538, 'YP_2903', 'Clou d''arpentage', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2903 - Clou d''arpentage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (539, 'YP_2904', 'Spit, pointe', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2904 - Spit, pointe');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (540, 'YP_2905', 'Borne', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2905 - Borne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (541, 'YP_2906', 'Borne LA', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2906 - Borne LA');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (542, 'YP_2907', 'Piquet', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2907 - Piquet');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (543, 'YP_2908', 'Clou d''arpentage existant', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2908 - Clou d''arpentage existant');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (544, 'YP_2909', 'Spit, pointe existante', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2909 - Spit, pointe existante');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (545, 'YP_2910', 'Piquet existant', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2910 - Piquet existant');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (546, 'YP_2911', 'Borne OGE', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2911 - Borne OGE');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (547, 'YP_2912', 'Repère NGF(IGN69), IGN, DGFip', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2912 - Repère NGF(IGN69), IGN, DGFip');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (548, 'YP_2913', 'Borne IGN', 'SIGT', 'SIGTR_PSS', 'nc', 'nc', 'HabillageSymbole', 'Surface', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '01', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2913 - Borne IGN');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (549, 'YP_2914', 'Texte courbes de niveau', 'SIGT', 'SIGTO_PSI', 'nc', 'nc', 'HabillageTexte', 'Information', 'Lorient Agglomération', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'YP_2914 - Texte courbes de niveau');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (550, 'ZL_1541', 'Cartouche, carroyage', 'Habillage', 'CARTO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZL_1541 - Cartouche, carroyage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (551, 'ZL_1542', 'Emprise des plans', 'Habillage', 'CARTO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, NULL, 'Polyligne', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZL_1542 - Emprise des plans');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (552, 'ZP_1561', 'X carroyage', 'Habillage', 'CARTO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZP_1561 - X carroyage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (553, 'ZP_1562', 'Y carroyage', 'Habillage', 'CARTO_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZP_1562 - Y carroyage');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (554, 'ZP_1563', 'Flèche Nord', 'Habillage', 'HABIL_SCI', 'nc', 'nc', 'nc', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZP_1563 - Flèche Nord');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (555, 'ZP_1564', 'Texte libre', 'Habillage', 'HABIL_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZP_1564 - Texte libre');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (556, 'ZP_1565', 'Noms des rues', 'Habillage', 'HABIL_SCI', 'nc', 'nc', 'HabillageTexte', 'Information', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '99', 'nc', 'nc', 'nc', 'nc', '2022-10-19', '2022-10-19', 'ZP_1565 - Noms des rues');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (557, 'BP_2058', 'Descente de gouttière', 'Eau pluviale', 'EAUPL_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', NULL, 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEP', '01', 'nc', 'nc', '2023-06-21', '2023-06-21', 'BP_2058 - Descente de gouttière');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (558, 'BP_2083', 'Vanne', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2023-06-21', '2023-06-21', 'BP_2083 - Vanne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (559, 'BP_2084', 'Ventouse', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2023-06-21', '2023-06-21', 'BP_2084 - Ventouse');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (560, 'BP_2085', 'Vidange', 'Eau pluviale', 'EAUPL_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2023-06-21', '2023-06-21', 'BP_2085 - Vidange');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (561, 'CP_2135', 'Vanne', 'Eau usée', 'EAUUS_PST', 'nc', 'nc', 'nc', 'Sous-sol', 'socle commun', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, 'nc', 'nc', 'nc', 'nc', 'nc', '2023-06-21', '2023-06-21', 'CP_2135 - Vanne');
INSERT INTO ##votreschema.votretable## (id_socle_txt, id, nature, famille, calque, calque_alt, calque_mat, pcrs, placement, charte, commentaires, sig, type_cao, attribut_altitude, attribut_matricule, "CategorieThematiquePCRSType", "NatureReseauPCRSType", "NatureAffleurantPCRSType", "CategorieMurPCRSType", "SectionPilierPCRSType", date_modif, date_crea, id_nature) VALUES (562, 'CP_2104', 'Séparateur de graisse', 'Eau usée', 'EAUUS_PSS', 'nc', 'nc', 'AffleurantSymbole', 'Surface', 'socle commun', 'Utilisé dans le cadre de récolement et remonté des données de la DEA', 'pct', 'Bloc', NULL, NULL, '10', 'ASSAEU', '03', 'nc', 'nc', '2023-06-21', '2023-06-21', 'CP_2104 - Séparateur de graisse');


--
-- TOC entry 14281 (class 0 OID 0)
-- Dependencies: 2724
-- Name: socle_la_txt2_id_socle_txt_seq; Type: SEQUENCE SET; Schema: ref_sctb; Owner: sigadmin
--

SELECT pg_catalog.setval('##votreschema.votretable##2_id_socle_txt_seq', 562, true);


--
-- TOC entry 14277 (class 0 OID 0)
-- Dependencies: 14276
-- Name: DATABASE sig_travail; Type: ACL; Schema: -; Owner: postgres
--

GRANT CREATE ON DATABASE sig_travail TO sigadmin;


--
-- TOC entry 14279 (class 0 OID 0)
-- Dependencies: 2725
-- Name: TABLE socle_la_txt; Type: ACL; Schema: ref_sctb; Owner: sigadmin
--

GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ##votreschema.votretable## TO audelor;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ##votreschema.votretable## TO dsitravail;
GRANT SELECT ON TABLE ##votreschema.votretable## TO gdouser;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE ##votreschema.votretable## TO sigtravail;


-- Completed on 2023-12-06 10:16:40

--
-- PostgreSQL database dump complete
--

